<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_aa7e860da1acd4e76" . "7e0df9d7d407380" => base64_decode("ZGF0Z" . "V9jcm" . "VhdGV" . "k"), "_121c102c9c9ad9bf6" . "1745404c146312c" => base64_decode("d29ya2Zsb3dfc2VsZWN" . "0"), "_3893085" . "d5d4dd5f" . "7f800428" . "47fc8fd6" . "6" => base64_decode("Y29tbW9uLmhlYW" . "Rlci53b3JrZmxv" . "dw=="), "_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_52ff3d2c2e521e8d4e39bc" . "762ea72a70" => base64_decode("UHJvY2Vzc2VkI" . "GRvY3VtZW50cw" . "=="), "_21977da3ae64465e" . "c85f89dfb0b6dcf2" => base64_decode("ZG9jdW1lbnRzLmhlYWR" . "lci5wcm9jZXNzZWRfZG" . "9jdW1lbnRz"), "_f457e604fe9e77b3f" . "884b013afe0c10c" => base64_decode("Y3N2X2V4cG9ydA" . "=="), "_c240fbf9da" . "e3f14bb9192" . "babf3ef6731" => base64_decode("ZGF0Z" . "V9tb2" . "RpZml" . "lZA=="), "_1d81e4078b112d9a9d9f" . "9dd21fea4460" => base64_decode("Li4vZG9jdW1lbnRz" . "L2NsYXNzZXMvV0ZT" . "dGF0LnBocA=="), "_8f06554776135669af1f9fe2598" . "af4dc" => base64_decode("V29ya2Zsb3" . "c="));
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_1d81e4078b112d9a9d9f9dd21fea44" . "60"];





class ReportSummaryWorkflow extends ReportCommon
{
    var $start_created;
    var $start_modified;
    var $end_created;
    var $end_modified;
    var $workflow_id;
    function InitControls(\Psr\Http\Message\ServerRequestInterface $request)
    {
        $this->_initControls(array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c240fbf9d" . "ae3f14bb91" . "92babf3ef6" . "731"], $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_aa7e860da1acd4e767e0d" . "f9d7d407380"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_f457e604fe9e77b3f884b013afe0c1" . "0c"], $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_121c102c9c9ad" . "9bf61745404c14" . "6312c"]), $request);
        $this->start_created = $this->controls->date_created->GetStartDateObject();
        $this->end_created = $this->controls->date_created->GetEndDateObject();
        $this->start_modified = $this->controls->date_modified->GetStartDateObject();
        $this->end_modified = $this->controls->date_modified->GetEndDateObject();
        if ($this->start_created === null) {
            $this->start_created = new DateBigBang();
        }
        if ($this->end_created === null) {
            $this->end_created = new DateArmageddon();
        }
        if ($this->start_modified === null) {
            $this->start_modified = new DateBigBang();
        }
        if ($this->end_modified === null) {
            $this->end_modified = new DateArmageddon();
        }
        $this->csv_separator = $this->controls->csv_export->GetSeparator();
        $this->workflow_id = $this->controls->workflow_select->GetWFId();
        $this->workflow_id = $this->workflow_id > 0 ? $this->workflow_id : null;
    }
    function InitHeaders()
    {
        $this->column_headers = array(array($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_8f0655477613" . "5669af1f9fe25" . "98af4dc"], $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744f69bb" . "c0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_3893085d5d4dd5f7f800" . "42847fc8fd66"])), array($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_52ff3d2c2e521e8d4e39bc76" . "2ea72a70"], $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea" . "2f6e847d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_21977da" . "3ae64465" . "ec85f89d" . "fb0b6dcf" . "2"])));
        $this->column_types = array(new CommonListOutputText(), new CommonListOutputText());
    }
    function GetNumRows()
    {
        return WFStat::GetSummaryNumRows($this->workflow_id);
    }
    function GetData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        $_343a395319323dd7609bcbc465b4d034 = WFStat::GetSummaryReportArray($this->start_created->getDate(DATE_FORMAT_TIMESTAMP), $this->end_created->getDate(DATE_FORMAT_TIMESTAMP), $this->start_modified->getDate(DATE_FORMAT_TIMESTAMP), $this->end_modified->getDate(DATE_FORMAT_TIMESTAMP), $_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4, $this->workflow_id);
        $values = array();
        foreach ($_343a395319323dd7609bcbc465b4d034 as $_b8cfc2e06d9d1fec1893ea4a054002bf) {
            $values[] = array($_b8cfc2e06d9d1fec1893ea4a054002bf[0], $_b8cfc2e06d9d1fec1893ea4a054002bf[1]);
        }
        return $values;
    }
}